%def_with M24

%if_with M24
%define _release alt0.M24.1
%else
%define _release alt1
%endif

%define modulename mod_python

Name: apache2-%modulename
Version: 3.1.4
Release: %_release

Summary: Python module for Apache2 Server
License: Apache Software License
Group: System/Servers
Url: http://www.modpython.org

Source: http://apache.rinet.ru/dist/httpd/modpython/%modulename-%version.tar.bz2

PreReq: apache2
# >= %%apache_version
BuildPreReq: apache2-devel
# >= %%apache_version
PreReq: python >= %__python_version
BuildPreReq: rpm-build-python >= 0.15
BuildPreReq: python-devel = %__python_version
Requires: python = %__python_version
Provides: mod_python%__python_version

Conflicts: mod_python <= 3.0.0
# or
#Provides: mod_python = %_version

# Added by buildreq on Fri Sep 09 2005
BuildRequires: hostinfo libapr-devel libaprutil-devel python-base python-dev python-modules-encodings

%add_python_req_skip _apache

%description
mod_python is an Apache2 module that embeds the Python interpreter within the server.
With mod_python you can write web-based applications in Python that will run many
times faster than traditional CGI and will have access to advanced features such as
ability to retain database connections and other data between hits and access to
Apache2 internals.

%prep
%setup -q -n %modulename-%version

%build
%configure --with-apxs=%apache_apxs
%make

%install
%make DESTDIR=%buildroot install

### Creating %modulename.conf
%__cat <<EOF >%modulename.conf
### %modulename.conf - configuration directives for the Python Apache2 module.

# Restart Apache after mod_python enabling
#LoadModule python_module      modules/mod_python.so
EOF

%__mkdir_p %buildroot%apache_addonconfdir
%__install -m 0644 %modulename.conf %buildroot%apache_addonconfdir/A.%modulename.conf

%files 
%python_sitelibdir/%modulename
%apache_moduledir/%modulename.so
%config(noreplace) %apache_addonconfdir/A.%modulename.conf

%changelog
* Fri Sep 09 2005 Grigory Batalov <bga@altlinux.ru> 3.1.4-alt0.M24.1
- Backport to Master 2.4

* Wed Apr 13 2005 Vitaly A. Ostanin <vyt@altlinux.ru> 3.1.4-alt0.1
- First build for Sisyphus based on spec from Sisyphus mod_python

